*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    background: #3a3a3a;
    font-family: 'Acme', sans-serif;
    display: flex;
	flex-direction: column;
}

body, html{
    min-height: 100%;
}

/*Menu*/
.menu{
    position: fixed;
    top: 0;
    width: 100%;
    height: 70px;
    background: rgb(50,154,181);
    background: radial-gradient(circle, rgba(50,154,181,1) 0%, rgba(0,0,0,1) 84%);
    z-index: 1;
    display: flex;
    box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;
}

.menu::after{
    clear: both;
    content: "";
    display: block;
}

.conteudo-menu{
    width: 100%;
    position: relative;
    margin-right: auto;
    margin-left: auto;
}

.logo{
    margin-left: 30px;
    margin-top: 15px;
}

.menu ul{
    float: right;
    height: 100px;
    line-height: 65px;
    margin: 0;
}

.menu ul li{
    list-style: none;
    float: left;
    margin: 0 15px;
    font-size: 18px;
} 

.menu ul li a{
    color: #FFF;
    padding: 18px;
    text-decoration: none;
    transition: .4s;
}

.menu ul li a:hover{
    background-color: #11a3e2;
    transition: 1s;
    border-radius: 60px;
} 


/* Playlist */
.conteiner{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #ddd;
}

.wrapper{
    display: flex;
    flex-direction: column;
    width: 50%;
    height: 67%;
    align-items: center;
    justify-content: center;
    border: 1px solid transparent;
    padding: 20px;
    border-radius: 20px;
    margin-top: 20px;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;    
}

.capa{
    width: 200px;
    height: 200px;
    border-radius: 50%;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border: 1px solid white;
    align-items: center;
    margin-top: 20px;
}

.rotate{
    animation: rotation 12s infinite linear;
}

@keyframes rotation{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(359deg);
    }
}

.descricao{
    width: 300px;
    text-align: center;
}

.descricao h3{
    margin-bottom: 5px;
    margin-top: 20px;
}

.tocandoAgora{ 
    text-align: center; 
}

.descricao p{
    font-style: italic;
    text-align: center;
}

.duracao{
    width: 300px;
    margin-top: 25px;
}

.conteiner h2{
    color: #ddd;
    text-align: center;
    margin-top: 100px;
}

.barra{
    width: 300px;
    height: 6px;
    border: 1px solid #eee;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

progress{
    height: 6px;
    width: 0;
    background-color: #333;
}

.ponto{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #eee;
    margin-left: -10px;
}

.tempo{
    display: flex;
    width: 300px;
    justify-content: space-between;
    margin-top: 10px;
}
.player{
    width:300px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 20px;
}
.btnPlay, .btnPause{
    width: 50px;
    cursor: pointer;
}

.anterior, .proxima{
    width: 40px;
    cursor: pointer;
}
.btnPlay:hover, .btnPause:hover, .anterior:hover, .proxima:hover{
    opacity: 0.5;
}

.btnPause{
    display: none;
}

.musicasTop{
    margin-top: 10px;
    margin-bottom: 50px;
    justify-content: center;
    align-items: center;
    display: block;
    width: 50%;
}

.faixa-music p{
    color: black;
}

/* Página Album*/
.container-album{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 15px;
}

.container-album .album{
    border-radius: 10px;
    margin: 10px;
    padding: 10px;
    display: block;
    margin-top: 60px;
    margin-bottom: 150px;
}

.container-album .album img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
}
.container-album p{
    text-align: center;
    padding: 10px;
    color: #FFF;
}
.container-album a{
    text-decoration: none;
    color: black;
}
.container-album .album img:hover{
    cursor: pointer;
    box-shadow: inset 0 0 1em rgb(109, 207, 237), 0 0 1em rgb(130, 206, 238); 
}

/*Playlist Album*/
h1{  
    color: #ddd;
    text-align: center;
    margin-top: 100px;
}
.playlist{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    flex-direction: column;
    width: 100%;
}
.playlist .faixa{
    display: flex;
    margin-top: 20px;
}

/* Faixa de músicas */
#conteiner{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 0;
    margin-bottom: 50px;
}

.musicas{
    margin-top: 180px;
    justify-content: center;
    align-items: center;
    display: block;
    width: 50%;
}

.play{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    
    border: 1px solid transparent;
    padding: 30px;
    border-radius: 20px;
    margin-top: -150px; 
    color: #FFF;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;   
}
.play .capa{
    width: 200px;
    height: 200px;    
    border-radius: 50%;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border: 1px solid white;
    align-items: center;
    margin-top: 20px;
}
.dtl{
    width: 300px;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 20px;
}
.dtl p{
    margin-top: 10px;
    font-style: italic;
}
.drt{
    width: 300px;
    text-align: center;
}
#conteiner h2{
    text-align: center;
    margin-top: 100px;
    color: #FFF;
}

.faixas{
    display: none;
}
.hide{
    display: block;
}

.lista-faixa, .repetir-faixa{
    cursor: pointer;
}

.faixa-music{
    text-align: center;
    margin-top: 30px;
    background: #ddd;
    height: 30px;
    border-radius: 10px 10px 0px 0px;
}

.faixa-music p{
    text-align: center;
   padding-top: 5px;
}

.music{
    width: 100%;
    height: 80px;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    color: #FFF;
    background-color: #626262;
    margin-top: 1px;
    overflow: hidden;
}
.music:hover{
    border: 1px solid #fff;
    cursor: pointer;
}

.list{
    align-items: center;
    display: contents;
    width: 60%;
}

.capa-music img{
    width: 63px;
    height: 63px;
    /* margin-left: -10px; */
    border-radius: 10px;
}
.ordem{
    margin-left: -35px;
}
.descricao-music{
    width: 180px;
}
.descricao-music span p{
    padding-top: 5px;
}
.mic1, .mic2, .mic3, .mic4, .mic5, 
.mic6, .mic7, .mic8, .mic9, .mic10{
    width: 24px;
    height: 24px;
}

.letra-music .mic:hover{
    opacity: 0.5;
}

.letraMusica, .letraMusica2, .letraMusica3, .letraMusica4, .letraMusica5, 
.letraMusica6, .letraMusica7, .letraMusica8, .letraMusica9, .letraMusica10{ 
    position: relative;
    padding: 12px 16px;
    text-align: left;
    background: #ddd;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    display: none;
    overflow: auto;
    height: 300px;
}
.letraMusica p, .letraMusica2 p, .letraMusica3 p, .letraMusica4 p, .letraMusica5 p, 
.letraMusica6 p, .letraMusica7 p, .letraMusica8 p, .letraMusica9 p, .letraMusica10 p{ 
    width: 280px;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    color: black;
}
.lt{
    margin-bottom: 5px;
    text-align: center;
    color: black;
}
.hide{
    display: block;
}

/* Rodapé */
footer{
    /* position: fixed; */
    bottom: 0;
    width: 100%;
    color: #FFF;
    height: 30px;
    text-align: center;
    padding: 6px;
    background: rgb(61,125,142);
    background: radial-gradient(circle, rgba(61,125,142,1) 3%, rgba(65,65,65,1) 94%);
    margin-top: 10px;
}

 